%define	upstream_name	 DBIx-Class-HTMLWidget
%define upstream_version 0.16

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:	Like FromForm but with DBIx::Class and HTML::Widget
License:	Artistic/GPL
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}/
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/DBIx/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(HTML::Widget) >= 1.03
BuildArch:	noarch


%description
Something like Class::DBI::FromForm / Class::DBI::FromCGI but using
HTML::Widget for form creation and validation and DBIx::Class as a ORM.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%__make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes META.yml
%{perl_vendorlib}/DBIx
%{_mandir}/*/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.160.0-2.mga3
+ Revision: 365119
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 28 2011 jquelin <jquelin> 0.160.0-1.mga1
+ Revision: 42891
- mageia rebuild
- imported package perl-DBIx-Class-HTMLWidget

